## ocaml-faad 0.3.2

=== example/Makefile ===
SOURCES = aac2wav.ml
RESULT = aac2wav
INCDIRS = ../src
LIBS = unix faad

all: nc

include OCamlMakefile

## ocaml-faad 0.3.0

=== debian/changelog ===
ocaml-faad (0.3.0-1build2) precise; urgency=low

  * Rebuild for OCaml 3.12.1.

 -- Colin Watson <cjwatson@ubuntu.com>  Sat, 19 Nov 2011 00:48:11 +0000

ocaml-faad (0.3.0-1build1) oneiric; urgency=low

  * Rebuild to pick up ocaml fixes on armel.

 -- Adam Conrad <adconrad@ubuntu.com>  Wed, 24 Aug 2011 16:27:31 -0600

ocaml-faad (0.3.0-1) unstable; urgency=low

  * Updload final 0.3.0 upstream release to unstable. 

 -- Romain Beauxis <toots@rastageeks.org>  Thu, 30 Jun 2011 14:42:28 -0500

ocaml-faad (0.3.0~20110523+hgb02e02b1cf7c-1) experimental; urgency=low

  * Snapshot from mercurial repository. 

 -- Romain Beauxis <toots@rastageeks.org>  Mon, 23 May 2011 19:25:57 -0500

ocaml-faad (0.2.0-2) unstable; urgency=low

  * Fixed debian/copyright..

 -- Romain Beauxis <toots@rastageeks.org>  Sat, 12 Feb 2011 18:59:19 -0600

ocaml-faad (0.2.0-1) unstable; urgency=low

  * Initial upload to unstable (Closes: #476296)

 -- Romain Beauxis <toots@rastageeks.org>  Sat, 12 Feb 2011 18:20:50 -0600

=== debian/control ===
Source: ocaml-faad
Section: ocaml
Priority: optional
Maintainer: Debian OCaml Maintainers <debian-ocaml-maint@lists.debian.org>
Uploaders: Samuel Mimram <smimram@debian.org>, Romain Beauxis <toots@rastageeks.org>
Build-Depends: cdbs (>= 0.4.53), debhelper (>= 7.0.1), ocaml-nox, dh-ocaml (>= 0.9), 
               libfaad-dev, ocaml-findlib (>= 1.2.4), 
               pkg-config
Standards-Version: 3.9.1
Homepage: http://savonet.sourceforge.net/
Vcs-Git: git://git.debian.org/pkg-ocaml-maint/packages/ocaml-faad.git
Vcs-Browser: http://git.debian.org/?p=pkg-ocaml-maint/packages/ocaml-faad.git

Package: libfaad-ocaml
Architecture: any
Depends: ${ocaml:Depends}, ${shlibs:Depends}, ${misc:Depends}
Provides: ${ocaml:Provides}
Description: OCaml interface to the faad library -- runtime files
 This package provides an interface to the faad library for
 OCaml programmers.
 .
 FAAD2 is the fastest ISO AAC audio decoder available. FAAD2 correctly
 decodes all MPEG-4 and MPEG-2 MAIN, LOW, LTP, LD and ER object type AAC
 files.
 .
 This package contains only the shared runtime stub libraries.

Package: libfaad-ocaml-dev
Architecture: any
Depends: ${ocaml:Depends}, libfaad-dev, 
         libfaad-ocaml (= ${binary:Version}), ocaml-findlib, ${misc:Depends}
Provides: ${ocaml:Provides}
Description: OCaml interface to the faad library -- developpement files
 This package provides an interface to the faad library for
 OCaml programmers.
 .
 FAAD2 is the fastest ISO AAC audio decoder available. FAAD2 correctly
 decodes all MPEG-4 and MPEG-2 MAIN, LOW, LTP, LD and ER object type AAC
 files.
 .
 This package contains all the development stuff you need to develop
 OCaml programs which use ocaml-faad.

## ocaml-faad 0.3.2

=== debian/changelog ===
ocaml-faad (0.3.2-2build2) xenial; urgency=medium

  * No-change rebuild against ocaml 4.02.

 -- Łukasz 'sil2100' Zemczak <lukasz.zemczak@canonical.com>  Tue, 03 Nov 2015 12:12:48 -0600

ocaml-faad (0.3.2-2build1) trusty; urgency=medium

  * Rebuild for ocaml-4.01.

 -- Matthias Klose <doko@ubuntu.com>  Mon, 23 Dec 2013 16:16:49 +0000

ocaml-faad (0.3.2-2) unstable; urgency=low

  * Upload to unstable. 

 -- Romain Beauxis <toots@rastageeks.org>  Wed, 08 May 2013 18:57:38 -0500

ocaml-faad (0.3.2-1) experimental; urgency=low

  * New upstream release.
  * Upload to experimental.
  * Bumpted standards version to 3.9.4

 -- Romain Beauxis <toots@rastageeks.org>  Mon, 15 Apr 2013 21:53:10 -0500

=== debian/rules ===
#!/usr/bin/make -f

include /usr/share/cdbs/1/rules/debhelper.mk
include /usr/share/cdbs/1/class/autotools.mk
include /usr/share/cdbs/1/rules/ocaml.mk

DEB_CONFIGURE_EXTRA_FLAGS := --enable-debugging
DEB_CONFIGURE_SCRIPT  := ./configure
DESTDIR = $(CURDIR)/debian/tmp/$(OCAML_STDLIB_DIR)
DEB_MAKE_INSTALL_TARGET := install OCAMLFIND_DESTDIR=$(DESTDIR) OCAMLFIND_LDCONF=ignore

build/libfaad-ocaml-dev::
	mkdir -p $(DESTDIR)
	make doc

clean::
	rm -rf .pc config.h Makefile src/Makefile src/META doc config.log config.status

=== debian/watch ===
version=3
http://sf.net/savonet/ocaml-faad-(.+)\.tar\.gz

## ocaml-faad 0.3.3

=== debian/changelog ===
ocaml-faad (0.3.3-2) unstable; urgency=medium

  * Fix VCS-Git URL
  * Install example

 -- Kyle Robbertze <krobbertze@gmail.com>  Mon, 25 Jun 2018 13:33:58 +0200

ocaml-faad (0.3.3-1) unstable; urgency=medium

  * New upstream release
  * Update watch file to use new upstream github repo
  * New upstream version 0.3.3
  * Update VCS-* to use salsa
  * Bump Standards-Version to 4.1.4 (no change)
  * Bump compat level (no change)
  * Update copyright
  * Fix spelling error in description

 -- Kyle Robbertze <krobbertze@gmail.com>  Thu, 21 Jun 2018 20:31:19 +0200

=== debian/control ===
--- 
+++ 
@@ -2,14 +2,20 @@
 Section: ocaml
 Priority: optional
 Maintainer: Debian OCaml Maintainers <debian-ocaml-maint@lists.debian.org>
-Uploaders: Samuel Mimram <smimram@debian.org>, Romain Beauxis <toots@rastageeks.org>
-Build-Depends: cdbs (>= 0.4.53), debhelper (>= 7.0.1), ocaml-nox, dh-ocaml (>= 0.9), 
-               libfaad-dev, ocaml-findlib (>= 1.2.4), 
+Uploaders: Kyle Robbertze <krobbertze@gmail.com>,
+           Samuel Mimram <smimram@debian.org>,
+           Romain Beauxis <toots@rastageeks.org>
+Build-Depends: cdbs (>= 0.4.53),
+               debhelper (>= 10),
+               ocaml-nox,
+               dh-ocaml (>= 0.9),
+               libfaad-dev,
+               ocaml-findlib (>= 1.2.4),
                pkg-config
-Standards-Version: 3.9.1
+Standards-Version: 4.1.4
 Homepage: http://savonet.sourceforge.net/
-Vcs-Git: git://git.debian.org/pkg-ocaml-maint/packages/ocaml-faad.git
-Vcs-Browser: http://git.debian.org/?p=pkg-ocaml-maint/packages/ocaml-faad.git
+Vcs-Git: https://salsa.debian.org/ocaml-team/ocaml-faad.git
+Vcs-Browser: https://salsa.debian.org/ocaml-team/ocaml-faad
 
 Package: libfaad-ocaml
 Architecture: any
@@ -27,10 +33,10 @@
 
 Package: libfaad-ocaml-dev
 Architecture: any
-Depends: ${ocaml:Depends}, libfaad-dev, 
+Depends: ${ocaml:Depends}, libfaad-dev,
          libfaad-ocaml (= ${binary:Version}), ocaml-findlib, ${misc:Depends}
 Provides: ${ocaml:Provides}
-Description: OCaml interface to the faad library -- developpement files
+Description: OCaml interface to the faad library -- development files
  This package provides an interface to the faad library for
  OCaml programmers.
  .

## ocaml-faad 0.4.0

=== example/Makefile ===
--- 
+++ 
@@ -2,6 +2,7 @@
 RESULT = aac2wav
 INCDIRS = ../src
 LIBS = unix faad
+OCAMLFLAGS = -g
 
 all: nc

=== debian/changelog ===
ocaml-faad (0.4.0-1build1) focal; urgency=medium

  * No change rebuild against new ocaml ABI

 -- Dimitri John Ledkov <xnox@ubuntu.com>  Fri, 21 Feb 2020 01:32:10 +0000

ocaml-faad (0.4.0-1) unstable; urgency=low

  * New upstream version 0.4.0
  * Bump Standards-Version to 4.2.1 (no change)

 -- Kyle Robbertze <krobbertze@gmail.com>  Mon, 27 Aug 2018 10:23:32 +0200

=== debian/control ===
--- 
+++ 
@@ -1,7 +1,8 @@
 Source: ocaml-faad
 Section: ocaml
 Priority: optional
-Maintainer: Debian OCaml Maintainers <debian-ocaml-maint@lists.debian.org>
+Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
+XSBC-Original-Maintainer: Debian OCaml Maintainers <debian-ocaml-maint@lists.debian.org>
 Uploaders: Kyle Robbertze <krobbertze@gmail.com>,
            Samuel Mimram <smimram@debian.org>,
            Romain Beauxis <toots@rastageeks.org>
@@ -12,7 +13,7 @@
                libfaad-dev,
                ocaml-findlib (>= 1.2.4),
                pkg-config
-Standards-Version: 4.1.4
+Standards-Version: 4.2.1
 Homepage: http://savonet.sourceforge.net/
 Vcs-Git: https://salsa.debian.org/ocaml-team/ocaml-faad.git
 Vcs-Browser: https://salsa.debian.org/ocaml-team/ocaml-faad

=== debian/watch ===
version=4
opts=filenamemangle=s/.+\/(\d\S+)\/// \
  https://github.com/savonet/ocaml-faad/releases .*download/\d\S+/ocaml-faad-(\d\S+).tar.gz

## ocaml-faad 0.5.0

=== debian/changelog ===
ocaml-faad (0.5.0-1build1) jammy; urgency=medium

  * No-change rebuild for ocaml abi changes.

 -- Matthias Klose <doko@ubuntu.com>  Mon, 24 Jan 2022 17:20:56 +0100

ocaml-faad (0.5.0-1) unstable; urgency=medium

  [ Stéphane Glondu ]
  * Team upload
  * New upstream release
  * Bump Standards-Version to 4.6.0
  * Bump debhelper compat level to 13
  * Add Rules-Requires-Root: no
  * Remove Samuel and Romain from Uploaders

  [ Kyle Robbertze ]
  * Update maintainer email

  [ Debian Janitor ]
  * Trim trailing whitespace.
  * Set upstream metadata fields: Bug-Database, Bug-Submit, Repository,
    Repository-Browse.

 -- Stéphane Glondu <glondu@debian.org>  Sun, 28 Nov 2021 17:50:21 +0100

=== debian/control ===
--- 
+++ 
@@ -1,19 +1,18 @@
 Source: ocaml-faad
 Section: ocaml
 Priority: optional
-Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
-XSBC-Original-Maintainer: Debian OCaml Maintainers <debian-ocaml-maint@lists.debian.org>
-Uploaders: Kyle Robbertze <krobbertze@gmail.com>,
-           Samuel Mimram <smimram@debian.org>,
-           Romain Beauxis <toots@rastageeks.org>
-Build-Depends: cdbs (>= 0.4.53),
-               debhelper (>= 10),
+Maintainer: Debian OCaml Maintainers <debian-ocaml-maint@lists.debian.org>
+Uploaders: Kyle Robbertze <paddatrapper@debian.org>
+Build-Depends:
+               debhelper-compat (= 13),
                ocaml-nox,
-               dh-ocaml (>= 0.9),
+               dh-ocaml,
                libfaad-dev,
-               ocaml-findlib (>= 1.2.4),
+               ocaml-dune,
+               libdune-ocaml-dev,
                pkg-config
-Standards-Version: 4.2.1
+Standards-Version: 4.6.0
+Rules-Requires-Root: no
 Homepage: http://savonet.sourceforge.net/
 Vcs-Git: https://salsa.debian.org/ocaml-team/ocaml-faad.git
 Vcs-Browser: https://salsa.debian.org/ocaml-team/ocaml-faad

=== debian/watch ===
version=4
https://github.com/savonet/ocaml-faad/releases .*/v?([0-9.]+)\.tar\.gz

## ocaml-faad 0.5.1

=== debian/changelog ===
ocaml-faad (0.5.1-2) unstable; urgency=low

  * d/watch: look for new upstream releases via git tags
  * d/control: add missing shlibs:Depends

 -- Kyle Robbertze <paddatrapper@debian.org>  Sun, 13 Nov 2022 17:06:41 +0200

ocaml-faad (0.5.1-1) unstable; urgency=medium

  * New upstream version 0.5.1
  * Bump standards-version to 4.6.1 (no change)

 -- Kyle Robbertze <paddatrapper@debian.org>  Fri, 27 May 2022 16:54:42 +0200

=== debian/control ===
--- 
+++ 
@@ -3,15 +3,14 @@
 Priority: optional
 Maintainer: Debian OCaml Maintainers <debian-ocaml-maint@lists.debian.org>
 Uploaders: Kyle Robbertze <paddatrapper@debian.org>
-Build-Depends:
-               debhelper-compat (= 13),
-               ocaml-nox,
+Build-Depends: debhelper-compat (= 13),
                dh-ocaml,
+               libdune-ocaml-dev,
                libfaad-dev,
                ocaml-dune,
-               libdune-ocaml-dev,
+               ocaml-nox,
                pkg-config
-Standards-Version: 4.6.0
+Standards-Version: 4.6.1
 Rules-Requires-Root: no
 Homepage: http://savonet.sourceforge.net/
 Vcs-Git: https://salsa.debian.org/ocaml-team/ocaml-faad.git
@@ -19,7 +18,7 @@
 
 Package: libfaad-ocaml
 Architecture: any
-Depends: ${ocaml:Depends}, ${shlibs:Depends}, ${misc:Depends}
+Depends: ${misc:Depends}, ${ocaml:Depends}, ${shlibs:Depends}
 Provides: ${ocaml:Provides}
 Description: OCaml interface to the faad library -- runtime files
  This package provides an interface to the faad library for
@@ -33,8 +32,12 @@
 
 Package: libfaad-ocaml-dev
 Architecture: any
-Depends: ${ocaml:Depends}, libfaad-dev,
-         libfaad-ocaml (= ${binary:Version}), ocaml-findlib, ${misc:Depends}
+Depends: libfaad-dev,
+         libfaad-ocaml (= ${binary:Version}),
+         ocaml-findlib,
+         ${misc:Depends},
+         ${ocaml:Depends},
+         ${shlibs:Depends}
 Provides: ${ocaml:Provides}
 Description: OCaml interface to the faad library -- development files
  This package provides an interface to the faad library for

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-

include /usr/share/ocaml/ocamlvars.mk

DESTDIR=$(CURDIR)/debian/tmp

%:
	dh $@ --with ocaml

override_dh_auto_build:
	dune build -p faad

override_dh_auto_install:
	dune install --destdir=$(DESTDIR) --prefix=/usr --libdir=..$(OCAML_STDLIB_DIR)
